package com.fs.qw.service;

import com.fs.qw.domain.QwAppContactWay;

import java.util.List;

/**
 * app活码Service接口
 *
 * @author fs
 * @date 2024-12-11
 */
public interface IQwAppContactWayService
{
    /**
     * 查询app活码
     *
     * @param id app活码主键
     * @return app活码
     */
    public QwAppContactWay selectQwAppContactWayById(Long id);

    /**
     * 查询app活码列表
     *
     * @param qwAppContactWay app活码
     * @return app活码集合
     */
    public List<QwAppContactWay> selectQwAppContactWayList(QwAppContactWay qwAppContactWay);

    /**
     * 新增app活码
     *
     * @param qwAppContactWay app活码
     * @return 结果
     */
    public int insertQwAppContactWay(QwAppContactWay qwAppContactWay);

    /**
     * 修改app活码
     *
     * @param qwAppContactWay app活码
     * @return 结果
     */
    public int updateQwAppContactWay(QwAppContactWay qwAppContactWay);

    /**
     * 批量删除app活码
     *
     * @param ids 需要删除的app活码主键集合
     * @return 结果
     */
    public int deleteQwAppContactWayByIds(Long[] ids);

    /**
     * 删除app活码信息
     *
     * @param id app活码主键
     * @return 结果
     */
    public int deleteQwAppContactWayById(Long id);

    String getAppContactWayImgCode(Long userId);

    void expirationQwAppCountWay();

}
